#include <iostream>
#include <test_common.h>
TEST(readMESH, simple) {
  Eigen::MatrixXd V, TC;
  Eigen::MatrixXi F;
  // wait... so this is actually testing test_common::load_mesh not readMESH
  // directly...
  // test_common::load_mesh("F0001_AN01WH_F3D.wrl", V, F, TC);
  test_common::load_mesh("000.wrl", V, F, TC);
  printf("%d\n", V.rows());
  ASSERT_EQ(36678, V.rows());
  // ASSERT_EQ(, F.rows());
}
